Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Interface QXmlDeclHandlerInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  QXmlDeclHandler, QXmlDefaultHandler

    public interface QXmlDeclHandlerInterface

extends QtJambiInterface

The `QXmlDeclHandler` class provides an interface to report declaration content of XML data.

You can set the declaration handler with QXmlReader::setDeclHandler().

This interface is based on the SAX2 extension DeclHandler.

The interface provides `attributeDecl`, `internalEntityDecl` and `externalEntityDecl` functions.

See Also:
  `QXmlDTDHandler`, `QXmlContentHandler`, `QXmlEntityResolver`, `QXmlErrorHandler`, `QXmlLexicalHandler`, `to SAX2`

Method Summary
`boolean` | `attributeDecl(java.lang.String eName, java.lang.String aName, java.lang.String type, java.lang.String valueDefault, java.lang.String value)` The reader calls this function to report an attribute type declaration.
`java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`boolean` | `externalEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` The reader calls this function to report a parsed external entity declaration.
`boolean` | `internalEntityDecl(java.lang.String name, java.lang.String value)` The reader calls this function to report an internal entity declaration.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### attributeDecl

    boolean attributeDecl(java.lang.String eName,
                          java.lang.String aName,
                          java.lang.String type,
                          java.lang.String valueDefault,
                          java.lang.String value)

  The reader calls this function to report an attribute type declaration. Only the effective (first) declaration for an attribute is reported.

  The reader passes the name of the associated element in `eName` and the name of the attribute in `aName`. It passes a string that represents the attribute type in `type` and a string that represents the attribute default in `valueDefault`. This string is one of "#IMPLIED", "#REQUIRED", "#FIXED" or an empty string (if none of the others applies). The reader passes the attribute's default value in `value`. If no default value is specified in the XML file, `value` is an empty string.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

### errorString

    java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

### externalEntityDecl

    boolean externalEntityDecl(java.lang.String name,
                               java.lang.String publicId,
                               java.lang.String systemId)

  The reader calls this function to report a parsed external entity declaration. Only the effective (first) declaration for each entity is reported.

  The reader passes the name of the entity in `name`, the public identifier in `publicId` and the system identifier in `systemId`. If there is no public identifier specified, it passes an empty string in `publicId`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

### internalEntityDecl

    boolean internalEntityDecl(java.lang.String name,
                               java.lang.String value)

  The reader calls this function to report an internal entity declaration. Only the effective (first) declaration is reported.

  The reader passes the name of the entity in `name` and the value of the entity in `value`.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD